package ims.oracle;

import ims.oracle.Configuration.TR;

import java.util.Collections;
import java.util.List;

public abstract class AbstractStaticOracle extends IOracle{

	//XXX not sure if we need this
	
	protected final TR[] myTRs;
	
	protected AbstractStaticOracle(TR[] myTRs){
		this.myTRs=myTRs;
	}

	public boolean isDynamic(){
		return false;
	}
	
	@Override
	public List<TR> getActions(IConfiguration c, int[] heads){
		for(TR tr:myTRs){
			if(isCorrectULBLTransition(tr,c,heads))
				return Collections.singletonList(tr);
		}
		return null;
	}

}
